classification
Title: Compile error for Python-2.6.2 on Solaris
Type: compile error Stage:
Components: Installation Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: ashish, mark.dickinson
Priority: normal Keywords:

Created on 2009-09-24 19:07 by ashish, last changed 2009-09-26 00:20 by ashish. This issue is now closed.

Files
File name Uploaded Description Edit
Configure.txt ashish, 2009-09-24 19:07
Messages (4)
msg93088 - (view) Author: Ashish (ashish) Date: 2009-09-24 19:07
I am getting error while compiling python-2.6.2
OS - Solaris 10 8/07 s10s_u4wos_12b SPARC
bash-3.00$ isainfo -v
64-bit sparcv9 applications
        asi_blk_init
32-bit sparc applications
        asi_blk_init v8plus div32 mul32
Paths and defined
PATH=/usr/local/bin:/opt/sfw/bin:/opt/sfw/sbin:/usr/sfw/bin:/usr/sfw/sbin:/opt/SUNWspci/bin:/usr/ccs/bin:/usr/bin:$PATH
export LD_LIBRARY_PATH="/usr/lib/sparcv9:/usr/local/lib/sparcv9"
export LDFLAGS="-mcpu=v9 -m64"
export LDDFLAGS="-mcpu=v9 -m64 -G"
export CC="gcc -mcpu=v9 -m64 -D_LARGEFILE64_SOURCE=1"

Configure seems to be runs fine. ( Attched File for configure )
 sudo ./configure --with-universal-archs="64 bit"
--prefix=/opt/Python-2.6.2/

But getting error after running make
bash-3.00$ sudo make
\gcc -mcpu=v9 -m64 -D_LARGEFILE64_SOURCE=1 -c -fno-strict-aliasing
-DNDEBUG -g  -O3 -Wall -Wstrict-prototypes  -I. -IInclude -I./Include 
-DPy_BUILD_CORE -o Objects/floatobject.o Objects/floatobject.c
/var/tmp//ccBDYDRE.s: Assembler messages:
/var/tmp//ccBDYDRE.s:7339: Error: Illegal operands: There are only 32
single precision f registers; [0-31]
*** Error code 1
make: Fatal error: Command failed for target `Objects/floatobject.o'

Please advice.
msg93090 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-09-24 19:37
If you do a Google search for that particular error message ('There are 
only 32 single ...'), the results suggest that this is a known problem 
with gcc and/or gas on Solaris.

Does removing the -O3 optimization flag make any difference?  (Try 
removing all occurrences of -O3 from the configure file before 
configuring.)

In any case, I suspect this is something Python can't do much about.
msg93096 - (view) Author: Ashish (ashish) Date: 2009-09-24 20:59
I added vaiable as 
export CXX="gcc -q64"
then run 
sudo ./configure --with-universal-archs="64 bit" --prefix=/opt/Python-2.6.2/
After completion of configure I removed "O3" from makefile,
then run
sudo make
It seems to be run fine.
But after make install i get error as 
Compiling /opt/Python-2.6.2//lib/python2.6/xml/sax/expatreader.py ...
Compiling /opt/Python-2.6.2//lib/python2.6/xml/sax/handler.py ...
Compiling /opt/Python-2.6.2//lib/python2.6/xml/sax/saxutils.py ...
Compiling /opt/Python-2.6.2//lib/python2.6/xml/sax/xmlreader.py ...
Compiling /opt/Python-2.6.2//lib/python2.6/xmllib.py ...
Compiling /opt/Python-2.6.2//lib/python2.6/xmlrpclib.py ...
Compiling /opt/Python-2.6.2//lib/python2.6/zipfile.py ...
*** Error code 1
make: Fatal error: Command failed for target `libinstall'


I need to change variable with 
export LD_LIBRARY_PATH="L/usr/lib/sparcv9:/usr/local/lib/sparcv9
R/opt/Python-2.6.2/lib"
Please suggest.
Thanks for cooperation and guideline.
I feel we are near to resolve the issue.
msg93150 - (view) Author: Ashish (ashish) Date: 2009-09-26 00:20
Issue seems to be resolved. Please close the issue.

Thanks a lot Mark for your cooperation, support and Guideline.

:-)
History
Date User Action Args
2009-09-26 00:20:02ashishsetstatus: open -> closed

messages: + msg93150
2009-09-25 01:13:02rhettingersettitle: Python-2.6.2 -> Compile error for Python-2.6.2 on Solaris
2009-09-24 20:59:34ashishsetstatus: pending -> open

messages: + msg93096
2009-09-24 19:37:42mark.dickinsonsetstatus: open -> pending

nosy: + mark.dickinson
messages: + msg93090

resolution: works for me
2009-09-24 19:07:33ashishcreate